import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class ColumnSortDescriptionDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private f;
    get propertyPath(): string;
    set propertyPath(a: string);
    private g;
    get sortDirection(): string;
    set sortDirection(a: string);
}
